## openmoneybox 3.5.1

=== Makefile ===
# (C) Igor Calì 24/11/2025 (igorcali@disroot.org)

#Product identification
# DEVMARKER COULD BE EITHER b (beta) or rc (release candidate)
MAJVER = 3.5
DEVMARKER =
VERSION = $(MAJVER)$(DEVMARKER).1

OMBNAME = libigiomb-$(MAJVER).so
BERRNAME = libomberr-$(MAJVER).so
OPTNAME = libombopt-$(MAJVER).so
WIZARDNAME = libombwizard-$(MAJVER).so
UPDATENAME = libombupdate-$(MAJVER).so
APPNAME = openmoneybox
INDNAME = ombindicator
TRAYNAME = ombtray
CONVERTNAME = ombconvert
MAPVIEWERNAME = ombmapviewer

# Build information
# Override DEBUG with 1 to create debug build
DEBUG ?= 0
# override DEBIAN with 0 for non Debian installation
DEBIAN ?= 1
# Override INCREMENT with 1 to increment the build number 
INCREMENT ?= 0
# override WXPATH with path folder for custom build
WXPATH ?=
# Override with _OMB_CHART_MATLIBPLOT to build with MathPlotLib
#CHART_LIB ?= _OMB_CHART_MATLIBPLOT
CHART_LIB ?= _OMB_CHART_WXPIECTRL
# Override FLATPAK with 1 to package Flatpak
FLATPAK ?= 0
# Override APPIMAGE with 1 to package AppImage
APPIMAGE ?= 0
# Override CONVERT_BUILD with 1 to build ombconvert
CONVERT_BUILD ?= 0
# Override WARNING_ONLY with 1 not to stop building on warnings
WARNING_ONLY ?= 0
# SqlCipher v4 compatibility
OMB_SQLCIPHER_V4 ?= 0

# Android
ANDROID_FOLDER ?= android/
#override ANDROID_API_LEVEL for other Android versions
ANDROID_API_LEVEL ?= API33

SRCDIR = src/
includes = $(wildcard src/*.h)
ifeq ($(DEBUG),1)
	OBJDIR = _gtkd/
else
	OBJDIR = _gtk/
endif
BUILDDIR = 
# Name of text file containing build number.
BUILD_NUMBER_FILE=build-number.txt
# Create an auto-incrementing build number.
BUILD_NUMBER_LDFLAGS = -Xlinker --defsym -Xlinker __BUILD_DATE=$$(date +'%Y%m%d')
BUILD_NUMBER_LDFLAGS += -Xlinker --defsym -Xlinker __BUILD_NUMBER=$$(cat $(BUILD_NUMBER_FILE))

# wxWidgets configuration;
CXX = $(shell wx-config --cxx)
ifeq ($(DEBUG),1)
	CXXFLAGS = `wx-config --debug --cxxflags`
	LDLIBS = `wx-config --debug --libs`
else
	CXXFLAGS = `$(WXPATH)wx-config --cxxflags`
	LDLIBS = `$(WXPATH)wx-config --libs`
endif
WXVER = $(shell wx-config --release)

# determine linux distribution
DISTRO ?= $(shell lsb_release -i -s 2>/dev/null)
CODENAME = $(shell lsb_release -c -s 2>/dev/null)

# default features
SETUP_SHELL =
SETUP_POSTIFIX = 
GTK_VERSION = gtk2u
APPINDICATOR = 1
TOOL_ICON_SIZE = 24
FLAVOUR_FLAGS = 
WXSQLITE_VERSIONPOSTFIX = -3.0
INDICATOR_FLAGS = 
CONVERT_FLAGS = -DwxUSE_GUI=0
OMBUPDATE = 0
UPDATE_FLAGS =
UPDATE_LIBS =
USE_GSETTINGS = 1
GSETTINGS_FLAGS =
GSETTINGS_LIBS =
OMB_MAPVIEWER = 1
OMB_USE_SQLCIPHER = 1
OPTION_FLAGS =
OMB_MONOLITHIC = 1
YELP = 1
USE_LIBXML2 = 1
NOTIFYSEND_APPSWITCH = 0
INSTALL_MAN_PAGE = 1

# compiler flags
CXXFLAGS += -g

# OS flavour configuration
# step1: distro check
ifneq ($(DISTRO),Ubuntu)
	APPINDICATOR = 0
endif
ifeq ($(DISTRO),Debian)
	APPINDICATOR = 1
# Determine if ayatana appindicator lib is installed
	AYATANA_INDICATOR_LIB_INFO := $(shell pkg-config ayatana-appindicator3-0.1 --cflags; echo $$?)

ifeq ($(CODENAME),sid)
	AYATANA_INDICATOR_LIB_INFO := $(shell pkg-config ayatana-appindicator-glib --cflags; echo $$?)

	OMB_SQLCIPHER_V4 = 1
	CXXFLAGS += -DNDEBUG -D__UBUNTU_2510__  -D__OMB_WITH_PIE__

	LDFLAGS = -D_FORTIFY_SOURCE=2 $(shell dpkg-buildflags --get LDFLAGS) # Hardening flags
	CXXFLAGS += $(LDFLAGS)
endif
ifeq ($(CODENAME),forky)
	AYATANA_INDICATOR_LIB_INFO := $(shell pkg-config ayatana-appindicator-glib --cflags; echo $$?)

	OMB_SQLCIPHER_V4 = 1
	CXXFLAGS += -DNDEBUG -D__UBUNTU_2510__  -D__OMB_WITH_PIE__

	LDFLAGS = -D_FORTIFY_SOURCE=2 $(shell dpkg-buildflags --get LDFLAGS) # Hardening flags
	CXXFLAGS += $(LDFLAGS)
endif
ifeq ($(CODENAME),trixie)
	OMB_SQLCIPHER_V4 = 1
	CXXFLAGS += -DNDEBUG -D__OMB_WITH_PIE__
	
	LDFLAGS = -D_FORTIFY_SOURCE=2 $(shell dpkg-buildflags --get LDFLAGS) # Hardening flags
	CXXFLAGS += $(LDFLAGS)
endif
ifeq ($(CODENAME),bookworm)
	CXXFLAGS += -DNDEBUG
endif
endif
ifeq ($(DISTRO),Raspbian)
	BUILD_NUMBER_LDFLAGS += -no-pie
	YELP = 0
ifeq ($(CODENAME),bookworm)
	CXXFLAGS += -DNDEBUG
endif
endif
ifeq ($(DISTRO),Fedora)
	SETUP_POSTIFIX = .fedora
	GTK_VERSION = gtk3u
	FLAVOUR_FLAGS += ${CFLAGS}
	WXSQLITE_VERSIONPOSTFIX = 
	OMBUPDATE = 1
	APPINDICATOR = 1
	
	OMB_SQLCIPHER_V4 = 1
	
	# wxWidgets 3.2
	CXXFLAGS += -DNDEBUG -D__OMB_WITH_PIE__
	
	LDFLAGS = -D_FORTIFY_SOURCE=2 -Wl,-z,relro -Wl,-z,now -Wl,--as-needed # Hardening flags
	CXXFLAGS += $(LDFLAGS)
endif
ifeq ($(DISTRO),openSUSE)
	APPINDICATOR = 1
	FLAVOUR_FLAGS += -D__OPENSUSE__
	OMBUPDATE = 1

	OMB_SQLCIPHER_V4 = 1
	
	# wxWidgets 3.2
	CXXFLAGS += -DNDEBUG -D__OMB_WITH_PIE__
	
	LDFLAGS = -D_FORTIFY_SOURCE=2 -Wl,-z,relro -Wl,-z,now -Wl,--as-needed # Hardening flags
	CXXFLAGS += $(LDFLAGS)
endif
# old SUSE distro name
ifeq ($(DISTRO),openSUSE project)
	FLAVOUR_FLAGS += -D__OPENSUSE__
	OMBUPDATE = 1
endif
ifeq ($(DISTRO),Arch)
	OMB_MAPVIEWER = 0
#	BUILD_NUMBER_LDFLAGS += -no-pie
	OMBUPDATE = 1
	
	OMB_SQLCIPHER_V4 = 1
	
	# wxWidgets 3.2
	CXXFLAGS += -DNDEBUG -D__OMB_WITH_PIE__
	
	LDFLAGS = -D_FORTIFY_SOURCE=2 -Wl,-z,relro -Wl,-z,now -Wl,--as-needed # Hardening flags
	CXXFLAGS += $(LDFLAGS)
	
	YELP = 0
	
	NOTIFYSEND_APPSWITCH = 1
	FLAVOUR_FLAGS += -D__ARCHLINUX__
endif
ifeq ($(FLATPAK),1)
	USE_GSETTINGS = 0
	OMB_MAPVIEWER = 0
	BUILD_NUMBER_LDFLAGS += -no-pie
	FLAVOUR_FLAGS += -D__FLATPAK__
	
	OMB_SQLCIPHER_V4 = 1
	
	# wxWidgets 3.2
	CXXFLAGS += -DNDEBUG -D__OMB_WITH_PIE__
	
	LDFLAGS = -D_FORTIFY_SOURCE=2 -Wl,-z,relro -Wl,-z,now -Wl,--as-needed # Hardening flags
	CXXFLAGS += $(LDFLAGS)
endif
ifeq ($(APPIMAGE),1)
	USE_GSETTINGS = 0
#	OMB_MAPVIEWER = 0
	YELP = 0
	BUILD_NUMBER_LDFLAGS += -no-pie
	FLAVOUR_FLAGS += -D__APPIMAGE__
	
	OMB_SQLCIPHER_V4 = 1
	
	# wxWidgets 3.2
	CXXFLAGS += -DNDEBUG -D__OMB_WITH_PIE__
	
	LDFLAGS = -D_FORTIFY_SOURCE=2 -Wl,-z,relro -Wl,-z,now -Wl,--as-needed # Hardening flags
	CXXFLAGS += $(LDFLAGS)
endif
# step 2: Ubuntu codename check
ifeq ($(CODENAME),resolute)
# -no-pie is to make sure build number link symbol is in a fixed address - https://stackoverflow.com/questions/40095236/symbols-defined-with-defsym-give-incorrect-address-on-ubuntu-16-10
	BUILD_NUMBER_LDFLAGS += -no-pie
# Determine if ayatana appindicator lib is installed
	AYATANA_INDICATOR_LIB_INFO := $(shell pkg-config ayatana-appindicator3-0.1 --cflags; echo $$?)
#	AYATANA_INDICATOR_LIB_INFO := $(shell pkg-config ayatana-appindicator-glib --cflags; echo $$?)
	NOTIFYSEND_APPSWITCH = 1
	# wxWidgets 3.2
	CXXFLAGS += -DNDEBUG -D__UBUNTU_2510__  -D__OMB_WITH_PIE__
	
	LDFLAGS = -D_FORTIFY_SOURCE=2 -Wl,-z,relro -Wl,-z,now -Wl,--as-needed # Hardening flags
	CXXFLAGS += $(LDFLAGS)
	
	UPDATE_YARU_THEME = 1
	OMB_SQLCIPHER_V4 = 1
endif
ifeq ($(CODENAME),questing)
# -no-pie is to make sure build number link symbol is in a fixed address - https://stackoverflow.com/questions/40095236/symbols-defined-with-defsym-give-incorrect-address-on-ubuntu-16-10
	BUILD_NUMBER_LDFLAGS += -no-pie
# Determine if ayatana appindicator lib is installed
	AYATANA_INDICATOR_LIB_INFO := $(shell pkg-config ayatana-appindicator3-0.1 --cflags; echo $$?)
#	AYATANA_INDICATOR_LIB_INFO := $(shell pkg-config ayatana-appindicator-glib --cflags; echo $$?)
	NOTIFYSEND_APPSWITCH = 1
	# wxWidgets 3.2
	CXXFLAGS += -DNDEBUG -D__UBUNTU_2510__ -D__OMB_WITH_PIE__
	
	LDFLAGS = -D_FORTIFY_SOURCE=2 -Wl,-z,relro -Wl,-z,now -Wl,--as-needed # Hardening flags
	CXXFLAGS += $(LDFLAGS)
	
	UPDATE_YARU_THEME = 1
	OMB_SQLCIPHER_V4 = 1
endif
ifeq ($(CODENAME),plucky)
# -no-pie is to make sure build number link symbol is in a fixed address - https://stackoverflow.com/questions/40095236/symbols-defined-with-defsym-give-incorrect-address-on-ubuntu-16-10
	BUILD_NUMBER_LDFLAGS += -no-pie
# Determine if ayatana appindicator lib is installed
	AYATANA_INDICATOR_LIB_INFO := $(shell pkg-config ayatana-appindicator3-0.1 --cflags; echo $$?)
	NOTIFYSEND_APPSWITCH = 1
	# wxWidgets 3.2
	CXXFLAGS += -DNDEBUG -D__OMB_WITH_PIE__
	
	LDFLAGS = -D_FORTIFY_SOURCE=2 -Wl,-z,relro -Wl,-z,now -Wl,--as-needed # Hardening flags
	CXXFLAGS += $(LDFLAGS)
	
	UPDATE_YARU_THEME = 1
	OMB_SQLCIPHER_V4 = 1
endif
ifeq ($(CODENAME),noble)
# -no-pie is to make sure build number link symbol is in a fixed address - https://stackoverflow.com/questions/40095236/symbols-defined-with-defsym-give-incorrect-address-on-ubuntu-16-10
	BUILD_NUMBER_LDFLAGS += -no-pie
# Determine if ayatana appindicator lib is installed
	AYATANA_INDICATOR_LIB_INFO := $(shell pkg-config ayatana-appindicator3-0.1 --cflags; echo $$?)
	NOTIFYSEND_APPSWITCH = 1
	# wxWidgets 3.2
	CXXFLAGS += -DNDEBUG -D__OMB_WITH_PIE__
	
	LDFLAGS = -D_FORTIFY_SOURCE=2 -Wl,-z,relro -Wl,-z,now -Wl,--as-needed # Hardening flags
	CXXFLAGS += $(LDFLAGS)
	
	UPDATE_YARU_THEME = 1
	OMB_SQLCIPHER_V4 = 1
endif
ifeq ($(CODENAME),jammy)
# -no-pie is to make sure build number link symbol is in a fixed address - https://stackoverflow.com/questions/40095236/symbols-defined-with-defsym-give-incorrect-address-on-ubuntu-16-10
	BUILD_NUMBER_LDFLAGS += -no-pie
# Determine if ayatana appindicator lib is installed
	AYATANA_INDICATOR_LIB_INFO := $(shell pkg-config ayatana-appindicator3-0.1 --cflags; echo $$?)
	CXXFLAGS += -D__OMB_LEGACY_WX__
endif
ifeq ($(CODENAME),focal)
# -no-pie is to make sure build number link symbol is in a fixed address - https://stackoverflow.com/questions/40095236/symbols-defined-with-defsym-give-incorrect-address-on-ubuntu-16-10
	BUILD_NUMBER_LDFLAGS += -no-pie
	CXXFLAGS += -D__OMB_LEGACY_WX__
endif
ifeq ($(CODENAME),bionic)
# -no-pie is to make sure build number link symbol is in a fixed address - https://stackoverflow.com/questions/40095236/symbols-defined-with-defsym-give-incorrect-address-on-ubuntu-16-10
	BUILD_NUMBER_LDFLAGS += -no-pie
	CXXFLAGS += -D__OMB_LEGACY_WX__
endif
ifeq ($(CODENAME),xenial)
	OMB_USE_SQLCIPHER = 0
	USE_LIBXML2 = 0
	CXXFLAGS += -std=c++11 -D__OMB_LEGACY_WX__
	INSTALL_MAN_PAGE = 0
endif
ifeq ($(CODENAME),trusty)
	OMB_MAPVIEWER = 0
	OMB_USE_SQLCIPHER = 0
	USE_LIBXML2 = 0
	WARNING_ONLY = 1
	CXXFLAGS += -std=c++11 -D__OMB_LEGACY_WX__
	INSTALL_MAN_PAGE = 0
endif

# step 3: configuration
ifeq ($(WARNING_ONLY),0)
COMPILE_FLAGS += -Werror
endif

#wxsqlite3 configuration
ifeq ($(OMB_USE_SQLCIPHER),1)
	SQL3FLAGS = `pkg-config sqlcipher --cflags` -DSQLITE_HAS_CODEC -D_OMB_USE_CIPHER
	SQL3LIBS = `pkg-config sqlcipher --libs`
	OPTION_FLAGS += -D_OMB_USE_CIPHER
else
ifneq ($(CODENAME),trusty)
	SQL3FLAGS = `pkg-config wxsqlite3$(WXSQLITE_VERSIONPOSTFIX) --cflags`
	SQL3LIBS = `pkg-config wxsqlite3$(WXSQLITE_VERSIONPOSTFIX) --libs`
else
	WXSQLITE_VERSION = 3.4.1
	SQL3FLAGS = -I3rdparty/wxsqlite3-$(WXSQLITE_VERSION)/include
	SQL3LIBS = lib/libwxcode_$(GTK_VERSION)_wxsqlite3-$(WXVER).so
endif
endif

ifeq ($(APPINDICATOR),1)
	INDICATOR_FLAGS = -D_OMB_USEINDICATOR
endif

ifeq ($(OMB_MONOLITHIC),1)
OMBNAME = 
BERRNAME = 
OPTNAME = 
WIZARDNAME = 
UPDATENAME = 
TRAYNAME = 

COMPILE_FLAGS += -D_OMB_MONOLITHIC
endif

ifeq ($(YELP),1)
COMPILE_FLAGS += -D_YELP
endif

ifeq ($(OMB_SQLCIPHER_V4),1)
	COMPILE_FLAGS += -D_OMB_SQLCIPHER_v4
endif

# Chart build configuration
ifeq ($(CHART_LIB),_OMB_CHART_MATLIBPLOT)
	CHART_FLAGS = -D_OMB_CHART_MATLIBPLOT
else
	CHART_FLAGS = -D_OMB_CHART_WXPIECTRL
endif

ifeq ($(OMBUPDATE),1)
	UPDATE_FLAGS = -D_OMB_INSTALLEDUPDATE
	UPDATE_LIBS = $(BUILDDIR)$(UPDATENAME)
endif
ifeq ($(USE_GSETTINGS),1)
	GSETTINGS_FLAGS = `pkg-config gio-2.0 --cflags` -D_OMB_USE_GSETTINGS
	GSETTINGS_LIBS = `pkg-config gio-2.0 --libs`
endif

# libxml2 configuration
ifeq ($(USE_LIBXML2),1)
	LIBXML_FLAGS = `pkg-config libxml-2.0 --cflags` -D_OMB_USE_LIBXML2
	LIBXML_LIBS = `pkg-config libxml-2.0 --libs`
endif

# notify-send configuration
ifeq ($(NOTIFYSEND_APPSWITCH),1)
	COMPILE_FLAGS += -D_OMB_NOTIFYSENDAPPSWITCH
endif

# Sources and Objects definition
ifeq ($(OMB_MONOLITHIC),0)
OBJECTS_OMB = $(OBJDIR)igiomb/igiomb.o $(OBJDIR)platformsetup.o
OBJECTS_BERR = $(OBJDIR)omberr/omberr.o
OBJECTS_OPT = $(OBJDIR)ombopt/ombopt.o $(OBJDIR)ombopt/ui/opzio.o $(OBJDIR)ombopt/ui/wxoption.o $(OBJDIR)ombopt/omb35opt.o
ifeq ($(OMBUPDATE),1)

=== debian/changelog ===
openmoneybox (3.5.1-8) unstable; urgency=medium

  * FIX GL #50: [Debian] ombindicator tray indicator disappears;
  * [Linux] Better integration w/ native notification system;
  * [Linux] Actions added to native notifications;
  * [Debian] NOTIFYSEND_APPSWITCH enabled;
  * Replaced custom alarm sound w/ wxBeep();
  * [Linux] Debian packaging improvement;
				Release to Debian repository - tentative (Closes: #1119707).

 -- Igor Calì <igorcali@disroot.org>  Mon, 09 Feb 2026 00:04:27 +0100

openmoneybox (3.5.1-6) stable; urgency=medium

  * [Linux] [OpenSolaris] Fortified build (-D_FORTIFY_SOURCE=2
				-Wl,-z,relro -Wl,-z,now -Wl,--as-needed);
  * [Linux] [FreeBSD] [OpenSolaris] Added man page;
  * [Linux] 1st release to Debian repository (tentative).

 -- Igor Calì <igorcali@disroot.org>  Sat, 22 Nov 2025 15:42:48 +0100

openmoneybox (3.5.1.5) stable; urgency=medium

  * Complete GL #40: [Linux] [FreeBSD] [OpenSolaris] FHS - Change install
  	location for core resources from /etc/ to $(SHAREDIR)/openmoneybox/;

 -- Igor Calì <igorcali@disroot.org>  Thu, 6 Nov 2025 08:34:00 +0200

openmoneybox (3.5.1.4) stable; urgency=medium

  * Fix GL #39: [Debian 13 Trixie] OMB_SQLCIPHER_V4 not enabled;
  * Fix GL #40: [Y2K38] [Desktop] Unexpected alarm is set on new shopping
  	list item;
  * Russian translation added, thanks to Yurt Page from Weblate
  	(https://hosted.weblate.org/projects/openmoneybox/);

 -- Igor Calì <igorcali@disroot.org>  Wed, 29 Oct 2025 00:53:00 +0200

openmoneybox (3.5.1-3ubuntu0) stable; urgency=medium

  * Author email changed;
  * Donate page updated (LiberaPay added);
  * Fix LP #2114245: Find function does not work;
  * [Linux] Installation in proper FHS folder ('/opt/openmoneybox', Arch)
            - or fallback ('/usr/bin') for Debian and derivatives and Fedora;
  * [FreeBSD] Installation in proper FHS folder ('/usr/local/bin/openmoneybox');
  * [Flatpak] Fix LP #2102101: Wrong path for location marker image;
  * [MacOS] Big Sur (11.0) test version.

 -- Igor Calì <igorcali@disroot.org>  Wed, 13 Aug 2025 15:10:00 +0200

openmoneybox (3.5.1-1ubuntu0) stable; urgency=medium

  * New feature: fund groups;
  * New feature: Support SqlCipher v4 format;
  * Fix LP #2064769: [MSW] Install registry keys for Control Panel not created;
  * Fix LP #2077873: Categories are not exported in master database;
  * Fix LP #2078562: [Desktop] Alarms not postponed in database if 'Postpone
  	all' is not checked;
  * Fix LP #2079890: [Linux] Broken icon in autostart file;
  * LP #2063940: [RPM] libappindicator support added in Fedora 41;
  * Restore Ubuntu Trusty LTS (14.04) build.
  * Arch 2024-11-01: notify-send -a switch added;
  * FreeBSD 14: notify-send -a switch added;
  * Code maturity: wxFormBuilder classes updated to v4.2.1;
  * [Ubuntu 24.10] - appindicator deprecation
  	(app_indicator_set_attention_icon and  app_indicator_set_icon).

 -- Igor Calì <igor.cali0@gmail.com>  Sat, 16 Nov 2024 11:39:00 +0200

openmoneybox (3.4.2-11ubuntu0) stable; urgency=medium

  * Fix LP #2059802: New Fund tool button does not work.

 -- Igor Calì <igor.cali0@gmail.com>  Sat, 30 Mar 2024 11:56:00 +0200

openmoneybox (3.4.2-10ubuntu0) stable; urgency=medium

  * Privacy policy added;
  * Code maturity: removed WXSQLITE_LOCAL makefile option;
  * Code maturity: removed scripts/sqlite.

 -- Igor Calì <igor.cali0@gmail.com>  Sat, 23 Mar 2024 14:00:00 +0200

openmoneybox (3.4.2-8ubuntu0) stable; urgency=medium

  * libxml2 library now used for XML export.

 -- Igor Calì <igor.cali0@gmail.com>  Sat, 10 Feb 2024 12:49:00 +0200

openmoneybox (3.4.2-7ubuntu0) stable; urgency=medium

  * Fixed trend chart marker colour;
  * New icon for New Fund;
  * Code maturity: Code Cleanup (cppcheck);
  * Code maturity: Removed 16-px toolbar icon support (_OMB_ICONSIZE_ compiler flag).

 -- Igor Calì <igor.cali0@gmail.com>  Sat, 13 Jan 2024 22:07:00 +0200

openmoneybox (3.4.2-6ubuntu0) stable; urgency=medium

  * Code maturity: wxFormBuilder classes updated to v4.0.0;
  * Standardization: removed __DEBIAN__ compile flag;
  * Standardization: removed __FEDORA__ compile flag;
  * Standardization: _OMB_INSTALLEDUPDATE compile switch used on Omb_StrToDate().
  * Fedora 39: Added dependency to highcontrast-icon-theme for mark-location.png

 -- Igor Calì <igor.cali0@gmail.com>  Tue, 19 Dec 2023 12:07:00 +0200

openmoneybox (3.4.2-5ubuntu0) stable; urgency=medium

  * Fixed crash if less funds in archive than in current budget;
  * Show alarm date in tree-list for lent and borrowed objects;
  * Show currency in tree-list for funds, credits and debts;
  * Improved toolbar colors with dark theme.

 -- Igor Calì <igor.cali0@gmail.com>  Sat, 05 Aug 2023 18:47:00 +0200

openmoneybox (3.4.2-4ubuntu0) stable; urgency=medium

  * Fix LP #2021414: Category change not saved from drop-down list in report.

 -- Igor Calì <igor.cali0@gmail.com>  Sun, 28 May 2023 22:55:00 +0200

openmoneybox (3.4.2-3ubuntu0) stable; urgency=medium

  * Fix LP #2018240: crash if master db folder does not exist;
  * [RPM] ombmapviewer feature added in Fedora 38; rpmlint cleanup;
  * Fix LP #2018221: ombMapViewer zoom and centering improved;
  * [Desktop] Code Cleanup (cppcheck);
  * Fix LP #2017172; Debian Lintian cleanup; rpmlint cleanup.

 -- Igor Calì <igor.cali0@gmail.com>  Mon, 01 May 2023 21:23:00 +0200

openmoneybox (3.4.2-2ubuntu0) stable; urgency=medium

  * Yelp manual;
  * Fix LP #2015934: Language detection not working on wxWidgets 3.2 builds.

 -- Igor Calì <igor.cali0@gmail.com>  Sat, 15 Apr 2023 12:09:00 +0200

openmoneybox (3.4.2-1ubuntu0) jammy; urgency=medium

  * Monolitich build;
  * New feature: show complete trend chart;
  * Graph trend color based on first date value.

 -- Igor Calì <igor.cali0@gmail.com>  Sun, 19 Mar 2023 22:53:00 +0200

openmoneybox (3.4.1-18ubuntu0) jammy; urgency=medium

  * Fix LP #1996427 - Report cannot be edited;
  * LP #1995712 - Category selectable from drop-down list in the report;


=== debian/control ===
Source: openmoneybox
Section: utils
Priority: optional
Maintainer: Igor Calì <igorcali@disroot.org>
Build-Depends: debhelper (>= 13),
	desktop-file-utils,
	xsltproc,
#	docbook-xsl,
	lsb-release,
	libwxgtk3.2-dev | libwxgtk3.0-gtk3-dev | libwxgtk3.0-dev | libwxgtk2.8-dev,
	libgtk-3-dev,
	libayatana-appindicator-glib-dev | libayatana-appindicator3-dev | libappindicator3-dev,
#	libwxsqlite3-3.0-dev,
	libosmgpsmap-1.0-dev,
	libsqlcipher-dev,
	libxml2-dev
Standards-Version: 4.7.3
Homepage: https://igisw-bilancio.sourceforge.net/
#Vcs-Git: git@gitlab.com:igi0/openmoneybox.git
Vcs-Browser: https://gitlab.com/igi0/openmoneybox

Package: openmoneybox-common
Architecture: all
Depends: ${misc:Depends},
	openmoneybox-doc,
#	python,
# For mark-location.png
	gnome-accessibility-themes,
Description: Common data files for OpenMoneyBox
 OpenMoneyBox is an application designed to manage small personal
 money budgets in the easiest way.
 This package contains the common files to any architecture.

Package: openmoneybox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
	xdg-user-dirs,
#	libwxsqlite3-3.0-0,
#	python-matplotlib,
	libsqlcipher1,
	openmoneybox-common,
	libnotify-bin,
	libxml2,
# osspd necessary to route sounds (http://trac.wxwidgets.org/ticket/14899)
Recommends: osspd
Description: Budget management application
 OpenMoneyBox is an application designed to manage small personal
 money budgets in the easiest way.

Package: openmoneybox-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: documentation for openmoneybox
 Documentation for the OpenMoneyxox application.
 Currently this package contains no real file.

Package: openmoneybox-mapviewer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	libosmgpsmap-1.0-1,
	openmoneybox
Description: OpenMoneyBox map viewer
 Display a map with location of transactions. Useful if mobile
 application with location storage is used.

Package: openmoneybox-locale-it
Architecture: all
Depends: ${misc:Depends},
# wx3.2-i18n necessary for standard dialog translations
	wx3.2-i18n | wx3.0-i18n,
	openmoneybox
Description: Italian language pack for OpenMoneyBox
 OpenMoneyBox is an application designed to manage small personal
 money budgets in the easiest way.
 This package contains Italian translations and search plugins for OpenMoneyBox

Package: openmoneybox-locale-fr
Architecture: all
Depends: ${misc:Depends},
# wx3.2-i18n necessary for standard dialog translations
	wx3.2-i18n | wx3.0-i18n,
	openmoneybox
Description: French language pack for OpenMoneyBox
 OpenMoneyBox is an application designed to manage small personal
 money budgets in the easiest way.
 This package contains French translations and search plugins for OpenMoneyBox

Package: openmoneybox-locale-sv
Architecture: all
Depends: ${misc:Depends},
# wx3.2-i18n necessary for standard dialog translations
	wx3.2-i18n | wx3.0-i18n,
	openmoneybox
Description: Swedish language pack for OpenMoneyBox
 OpenMoneyBox is an application designed to manage small personal
 money budgets in the easiest way.
 This package contains Swedish translations and search plugins for OpenMoneyBox

Package: openmoneybox-locale-ru
Architecture: all
Depends: ${misc:Depends},
# wx3.2-i18n necessary for standard dialog translations
	wx3.2-i18n,
	openmoneybox
Description: Russian language pack for OpenMoneyBox
 OpenMoneyBox is an application designed to manage small personal
 money budgets in the easiest way.
 This package contains Russian translations and search plugins for OpenMoneyBox

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

%:
	dh $@

override_dh_auto_build:
	if test -d android; then rm -r android; fi # Remove android subfolders to reduce lintian errors
	make -j1

override_dh_auto_install:
	$(MAKE) DESTDIR=./debian/tmp install
	rm ./debian/tmp/usr/share/glib-2.0/schemas/gschemas.compiled

override_dh_compress:
	dh_compress -Xlicenza.txt -Xopenmoneybox-license.txt

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
	"pgpmode=auto" \
	#https://launchpad.net/bilancio/stable/omb3.5\.*download/openmoneybox_(.+).tar.gz # @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
	https://launchpad.net/bilancio \
	https://launchpad.net/bilancio/stable/omb3.5/.*download/openmoneybox_([.\d]+)\.tar\.gz
